FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202107291702.p0.git.30cd2bc BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202107291702.p0.git.30cd2bc SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=30cd2bc OS_GIT_VERSION=4.6.0-202107291702.p0.git.30cd2bc-30cd2bc SOURCE_DATE_EPOCH=1625165039 SOURCE_GIT_COMMIT=30cd2bc0f651b97fbd1541de7e6b19368e39f9f5 SOURCE_GIT_TAG=30cd2bc SOURCE_GIT_URL=https://github.com/openshift/ovirt-csi-driver 
WORKDIR /src/ovirt-csi-driver
COPY . .
RUN make build

FROM openshift/ose-base:v4.6.0-202107281959.p0.git.618b71d
ENV __doozer=update BUILD_RELEASE=202107291702.p0.git.30cd2bc BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202107291702.p0.git.30cd2bc SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=30cd2bc OS_GIT_VERSION=4.6.0-202107291702.p0.git.30cd2bc-30cd2bc SOURCE_DATE_EPOCH=1625165039 SOURCE_GIT_COMMIT=30cd2bc0f651b97fbd1541de7e6b19368e39f9f5 SOURCE_GIT_TAG=30cd2bc SOURCE_GIT_URL=https://github.com/openshift/ovirt-csi-driver 

RUN yum install -y e2fsprogs xfsprogs
COPY --from=builder /src/ovirt-csi-driver/bin/ovirt-csi-driver .

ENTRYPOINT ["./ovirt-csi-driver"]

LABEL \
        name="openshift/ose-ovirt-csi-driver" \
        com.redhat.component="ose-ovirt-csi-driver-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        io.openshift.maintainer.subcomponent="oVirt CSI Driver" \
        release="202107291702.p0.git.30cd2bc" \
        io.openshift.build.commit.id="30cd2bc0f651b97fbd1541de7e6b19368e39f9f5" \
        io.openshift.build.source-location="https://github.com/openshift/ovirt-csi-driver" \
        io.openshift.build.commit.url="https://github.com/openshift/ovirt-csi-driver/commit/30cd2bc0f651b97fbd1541de7e6b19368e39f9f5" \
        version="v4.6.0"

